<script lang="ts" setup>
import { Offer, Page } from '~~/entities';
import OfferCard from '~~/components/OfferCard.vue';

const {data:page} = await useFetch<Page<Offer>>('http://localhost:3030/offer');

</script>

<template>
  <div>
    <h1>Offer List</h1>
    <div class="columns is-centered is-multiline">
      <div class="column is-4" v-for="offer of page?.data" >
        <OfferCard :offer="offer" />
      </div>
    </div>
  </div>
</template>

<style scoped></style>
